Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.messaging
Class InsertMessage

    java.lang.Object
      rice.p2p.past.messaging.PastMessage
          rice.p2p.past.messaging.ContinuationMessage
              rice.p2p.past.messaging.InsertMessage

All Implemented Interfaces:
  Continuation, Message, java.io.Serializable

Direct Known Subclasses:
  GCInsertMessage

public class InsertMessage
extends ContinuationMessage

Version:
  $Id: InsertMessage.java,v 1.10 2005/03/11 00:58:05 jeffh Exp $
Author:
  Alan Mislove, Ansley Post, Peter Druschel
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class rice.Continuation
`Continuation.ErrorContinuation, Continuation.ExternalContinuation, Continuation.ListenerContinuation, Continuation.MultiContinuation, Continuation.NamedContinuation, Continuation.SimpleContinuation, Continuation.StandardContinuation`

Field Summary
`protected PastContent` | `content` DESCRIBE THE FIELD

Fields inherited from class rice.p2p.past.messaging.ContinuationMessage
`exception, response`

Fields inherited from class rice.p2p.past.messaging.PastMessage
`dest, id, isResponse, source`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`InsertMessage(int uid, PastContent content, NodeHandle source, Id dest)` Constructor which takes a unique integer Id, as well as the data to be stored

Method Summary
`PastContent` | `getContent()` Method which returns the content
`void` | `receiveException(java.lang.Exception e)` Method which builds a response for this message, using the provided exception, which was thrown
`void` | `receiveResult(java.lang.Object o)` Method which builds a response for this message, using the provided object as a result.
`java.lang.String` | `toString()` Returns a string representation of this message

Methods inherited from class rice.p2p.past.messaging.ContinuationMessage
`getResponse, returnResponse`

Methods inherited from class rice.p2p.past.messaging.PastMessage
`addHop, getDestination, getPriority, getSource, getUID, isResponse, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### content

    protected PastContent content

  DESCRIBE THE FIELD

Constructor Detail

### InsertMessage

    public InsertMessage(int uid,
                         PastContent content,
                         NodeHandle source,
                         Id dest)

  Constructor which takes a unique integer Id, as well as the data to be stored

Parameters:
  `uid` - The unique id
  `content` - The content to be inserted
  `source` - The source address
  `dest` - The destination address

Method Detail

### getContent

    public PastContent getContent()

  Method which returns the content

  Returns:
    The contained content

### receiveResult

    public void receiveResult(java.lang.Object o)

  Method which builds a response for this message, using the provided object as a result.

  Specified by:
    `receiveResult` in interface `Continuation`
  Overrides:
    `receiveResult` in class `ContinuationMessage`
  Parameters:
    `o` - The object argument

### receiveException

    public void receiveException(java.lang.Exception e)

  Method which builds a response for this message, using the provided exception, which was thrown

  Specified by:
    `receiveException` in interface `Continuation`
  Overrides:
    `receiveException` in class `ContinuationMessage`
  Parameters:
    `e` - The exception argument

### toString

    public java.lang.String toString()

  Returns a string representation of this message

  Returns:
    A string representing this message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.